> For the complete documentation index, see [llms.txt](https://axiology.gitbook.io/axiology-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://axiology.gitbook.io/axiology-docs/rest-api/brokers.md).

# Brokers

## GET /brokers

> Retrieve a list of brokers supported by the platform.

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/brokers":{"get":{"description":"Retrieve a list of brokers supported by the platform.","operationId":"getBrokers","parameters":[{"name":"filter","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/FilterBrokerDto"}},{"name":"mode","required":false,"in":"query","description":"Strategy applied when filtering/searching on multiple fields","schema":{"$ref":"#/components/schemas/FilterMode"}},{"name":"pagination","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/PaginationRequestDto"}},{"name":"order","required":false,"in":"query","content":{"application/json":{"schema":{"type":"array","uniqueItems":true,"items":{"type":"object","oneOf":[{"properties":{"createdAt":{"type":"string","enum":["asc","desc"]}},"required":["createdAt"]},{"properties":{"name":{"type":"string","enum":["asc","desc"]}},"required":["name"]},{"properties":{"email":{"type":"string","enum":["asc","desc"]}},"required":["email"]},{"properties":{"leiCode":{"type":"string","enum":["asc","desc"]}},"required":["leiCode"]},{"properties":{"companyCode":{"type":"string","enum":["asc","desc"]}},"required":["companyCode"]},{"properties":{"representorCompanyCode":{"type":"string","enum":["asc","desc"]}},"required":["representorCompanyCode"]},{"properties":{"countryCode":{"type":"string","enum":["asc","desc"]}},"required":["countryCode"]},{"properties":{"branchCountryCode":{"type":"string","enum":["asc","desc"]}},"required":["branchCountryCode"]},{"properties":{"institutionSectorCode":{"type":"string","enum":["asc","desc"]}},"required":["institutionSectorCode"]},{"properties":{"bic":{"type":"string","enum":["asc","desc"]}},"required":["bic"]},{"properties":{"isLiquidityProvider":{"type":"string","enum":["asc","desc"]}},"required":["isLiquidityProvider"]}]}}}},"description":"Array of fields and directions to order. Supported fields: createdAt, name, email, leiCode, companyCode, representorCompanyCode, countryCode, branchCountryCode, institutionSectorCode, bic, isLiquidityProvider"}],"responses":{"200":{"description":"Successfully retrieved a list of items.","content":{"application/json":{"schema":{"type":"object","properties":{"pagination":{"$ref":"#/components/schemas/PaginationResponseDto"},"items":{"type":"array","items":{"$ref":"#/components/schemas/BrokerDto"}}},"required":["pagination","items"]}}}}},"summary":"","tags":["Brokers"]}}},"components":{"schemas":{"FilterBrokerDto":{"type":"object","properties":{"name":{"type":"string","description":"Filter participants by name"},"leiCode":{"type":"string","description":"Filter participants by LEI code"},"companyCode":{"type":"string","description":"Filter participants by company code"},"representorCompanyCode":{"type":"string","description":"Filter participants by representor company code"},"countryCode":{"type":"string","description":"Filter participants by country code","format":"iso3166-1-alpha-2","maxLength":2,"minLength":2,"pattern":"^[A-Z]{2}$"},"branchCountryCode":{"type":"string","description":"Filter participants by branch country code","format":"iso3166-1-alpha-2","maxLength":2,"minLength":2,"pattern":"^[A-Z]{2}$"},"institutionSectorCode":{"description":"Filter participants by institution sector code","oneOf":[{"type":"array","items":{"$ref":"#/components/schemas/InstitutionSectorCode"},"minItems":1},{"$ref":"#/components/schemas/InstitutionSectorCode"}]},"bic":{"description":"Filter participants by BIC code","format":"bic","minLength":8,"maxLength":11,"pattern":"^[A-Z]{6}[A-Z0-9]{2}([A-Z0-9]{3})?$","oneOf":[{"type":"array","items":{"type":"string"},"minItems":1},{"type":"string","description":"Partial BIC code"}]},"isLiquidityProvider":{"type":"boolean","description":"Filter participants by liquidity provider status"},"ibans":{"type":"string","description":"Filter brokers by full IBAN","pattern":"^[A-Z]{2}[0-9]{2}[A-Z0-9]{1,30}$","format":"iban","minLength":15,"maxLength":34}}},"InstitutionSectorCode":{"type":"string","enum":["S.11","S.121","S.122","S.123","S.124","S.125","S.126","S.127","S.128","S.129","S.13","S.1311","S.1312","S.1313","S.1314","S.14","S.15"],"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form."},"FilterMode":{"type":"string","enum":["and","or"]},"PaginationRequestDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1}}},"PaginationResponseDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1},"totalItems":{"type":"number","description":"Total items count"},"totalPages":{"type":"number","description":"Total pages count"}},"required":["totalItems","totalPages"]},"BrokerDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"name":{"type":"string","description":"Name of the company","minLength":1,"maxLength":256},"email":{"type":"string","description":"Email of a participant","format":"email","nullable":true},"leiCode":{"type":"string","description":"Legal Entity Identifier (LEI) code","pattern":"^[A-Z0-9]{4}00[A-Z0-9]{14}$","format":"lei-code","minLength":20,"maxLength":20},"companyCode":{"type":"string","description":"Company registration code","maxLength":30,"minLength":6,"pattern":"^[A-Z0-9]{6-30}$"},"representorCompanyCode":{"type":"string","description":"Company registration number of participant representor","maxLength":30,"minLength":6,"pattern":"^[A-Z0-9]{6-30}$","nullable":true},"countryCode":{"type":"string","description":"Country code of the participant","format":"iso3166-1-alpha-2","maxLength":2,"minLength":2,"pattern":"^[A-Z]{2}$"},"branchCountryCode":{"type":"string","description":"Country code of the branch","format":"iso3166-1-alpha-2","maxLength":2,"minLength":2,"pattern":"^[A-Z]{2}$","nullable":true},"institutionSectorCode":{"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form.","allOf":[{"$ref":"#/components/schemas/InstitutionSectorCode"}]},"bic":{"type":"string","description":"Bank Identifier Code (BIC)","format":"bic","minLength":8,"maxLength":11,"pattern":"^[A-Z]{6}[A-Z0-9]{2}([A-Z0-9]{3})?$"},"isLiquidityProvider":{"type":"boolean","description":"Is participant a liquidity provider in the market","default":false},"id":{"type":"string","description":"Broker UUID identifier, global in scope of TSS","format":"uuid"},"ibans":{"description":"List of IBANs used for deposits and withdrawals","type":"array","items":{"$ref":"#/components/schemas/TypedIban"}}},"required":["createdAt","updatedAt","name","email","leiCode","companyCode","representorCompanyCode","countryCode","branchCountryCode","institutionSectorCode","bic","isLiquidityProvider","id","ibans"]},"TypedIban":{"type":"object","properties":{"iban":{"type":"string","description":"IBAN of the wallet","pattern":"^[A-Z]{2}[0-9]{2}[A-Z0-9]{1,30}$","format":"iban","minLength":15,"maxLength":34},"type":{"description":"Type of the wallet","allOf":[{"$ref":"#/components/schemas/WalletType"}]}},"required":["iban","type"]},"WalletType":{"type":"string","enum":["broker-own","client-individual"],"description":"Indicates that funds are owned by either broker or client"}}}}
```

## GET /brokers/{brokerId}

> Get specific broker information in the system

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/brokers/{brokerId}":{"get":{"description":"Get specific broker information in the system","operationId":"getBroker","parameters":[{"name":"brokerId","required":true,"in":"path","description":"Broker UUID identifier, global in scope of TSS","schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"description":"Found broker","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BrokerDto"}}}}},"summary":"","tags":["Brokers"]}}},"components":{"schemas":{"BrokerDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"name":{"type":"string","description":"Name of the company","minLength":1,"maxLength":256},"email":{"type":"string","description":"Email of a participant","format":"email","nullable":true},"leiCode":{"type":"string","description":"Legal Entity Identifier (LEI) code","pattern":"^[A-Z0-9]{4}00[A-Z0-9]{14}$","format":"lei-code","minLength":20,"maxLength":20},"companyCode":{"type":"string","description":"Company registration code","maxLength":30,"minLength":6,"pattern":"^[A-Z0-9]{6-30}$"},"representorCompanyCode":{"type":"string","description":"Company registration number of participant representor","maxLength":30,"minLength":6,"pattern":"^[A-Z0-9]{6-30}$","nullable":true},"countryCode":{"type":"string","description":"Country code of the participant","format":"iso3166-1-alpha-2","maxLength":2,"minLength":2,"pattern":"^[A-Z]{2}$"},"branchCountryCode":{"type":"string","description":"Country code of the branch","format":"iso3166-1-alpha-2","maxLength":2,"minLength":2,"pattern":"^[A-Z]{2}$","nullable":true},"institutionSectorCode":{"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form.","allOf":[{"$ref":"#/components/schemas/InstitutionSectorCode"}]},"bic":{"type":"string","description":"Bank Identifier Code (BIC)","format":"bic","minLength":8,"maxLength":11,"pattern":"^[A-Z]{6}[A-Z0-9]{2}([A-Z0-9]{3})?$"},"isLiquidityProvider":{"type":"boolean","description":"Is participant a liquidity provider in the market","default":false},"id":{"type":"string","description":"Broker UUID identifier, global in scope of TSS","format":"uuid"},"ibans":{"description":"List of IBANs used for deposits and withdrawals","type":"array","items":{"$ref":"#/components/schemas/TypedIban"}}},"required":["createdAt","updatedAt","name","email","leiCode","companyCode","representorCompanyCode","countryCode","branchCountryCode","institutionSectorCode","bic","isLiquidityProvider","id","ibans"]},"InstitutionSectorCode":{"type":"string","enum":["S.11","S.121","S.122","S.123","S.124","S.125","S.126","S.127","S.128","S.129","S.13","S.1311","S.1312","S.1313","S.1314","S.14","S.15"],"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form."},"TypedIban":{"type":"object","properties":{"iban":{"type":"string","description":"IBAN of the wallet","pattern":"^[A-Z]{2}[0-9]{2}[A-Z0-9]{1,30}$","format":"iban","minLength":15,"maxLength":34},"type":{"description":"Type of the wallet","allOf":[{"$ref":"#/components/schemas/WalletType"}]}},"required":["iban","type"]},"WalletType":{"type":"string","enum":["broker-own","client-individual"],"description":"Indicates that funds are owned by either broker or client"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://axiology.gitbook.io/axiology-docs/rest-api/brokers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
